#pragma once
#include "../../stdafx.h"
#include "../glLibTexturing/glLibTexturing.h"

namespace glLib { namespace Object {

void glLibInternal_draw_screen_quad(const int rect[4]);
void glLibInternal_draw_screen_quad_tex(const GLint rect[4], const double texcoord_rect[4]);
void draw_screen_quad(void                                                                                                             );
void draw_screen_quad(const int rect[4]                                                                                                );
void draw_screen_quad(                                                  bool texture                                                   );
void draw_screen_quad(const int rect[4],                                bool texture                                                   );
void draw_screen_quad(                   const ::glLib::Texture::texture_2D* texture                                                   );
void draw_screen_quad(const int rect[4], const ::glLib::Texture::texture_2D* texture                                                   );
void draw_screen_quad(                                                  bool texture,       double uv_tile                             );
void draw_screen_quad(const int rect[4],                                bool texture,       double uv_tile                             );
void draw_screen_quad(                   const ::glLib::Texture::texture_2D* texture,       double uv_tile                             );
void draw_screen_quad(const int rect[4], const ::glLib::Texture::texture_2D* texture,       double uv_tile                             );
void draw_screen_quad(                                                  bool texture, const double uv_tile[2]                          );
void draw_screen_quad(const int rect[4],                                bool texture, const double uv_tile[2]                          );
void draw_screen_quad(                   const ::glLib::Texture::texture_2D* texture, const double uv_tile[2]                          );
void draw_screen_quad(const int rect[4], const ::glLib::Texture::texture_2D* texture, const double uv_tile[2]                          );
void draw_screen_quad(                                                  bool texture,       double uv_tile,          double uv_delta   );
void draw_screen_quad(const int rect[4],                                bool texture,       double uv_tile,          double uv_delta   );
void draw_screen_quad(                   const ::glLib::Texture::texture_2D* texture,       double uv_tile,          double uv_delta   );
void draw_screen_quad(const int rect[4], const ::glLib::Texture::texture_2D* texture,       double uv_tile,          double uv_delta   );
void draw_screen_quad(                                                  bool texture, const double uv_tile[2],       double uv_delta   );
void draw_screen_quad(const int rect[4],                                bool texture, const double uv_tile[2],       double uv_delta   );
void draw_screen_quad(                   const ::glLib::Texture::texture_2D* texture, const double uv_tile[2],       double uv_delta   );
void draw_screen_quad(const int rect[4], const ::glLib::Texture::texture_2D* texture, const double uv_tile[2],       double uv_delta   );
void draw_screen_quad(                                                  bool texture,       double uv_tile,    const double uv_delta[2]);
void draw_screen_quad(const int rect[4],                                bool texture,       double uv_tile,    const double uv_delta[2]);
void draw_screen_quad(                   const ::glLib::Texture::texture_2D* texture,       double uv_tile,    const double uv_delta[2]);
void draw_screen_quad(const int rect[4], const ::glLib::Texture::texture_2D* texture,       double uv_tile,    const double uv_delta[2]);
void draw_screen_quad(                                                  bool texture, const double uv_tile[2], const double uv_delta[2]);
void draw_screen_quad(const int rect[4],                                bool texture, const double uv_tile[2], const double uv_delta[2]);
void draw_screen_quad(                   const ::glLib::Texture::texture_2D* texture, const double uv_tile[2], const double uv_delta[2]);
void draw_screen_quad(const int rect[4], const ::glLib::Texture::texture_2D* texture, const double uv_tile[2], const double uv_delta[2]);

};};